<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlperiodicTest_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlperiodicTest_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>mmwave radar periodicity test config  
 <a href="structrlperiodic_test__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_device.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a6eb32fd91bbfba32c2c55e683bb48ae2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6eb32fd91bbfba32c2c55e683bb48ae2"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrlperiodic_test__t.html#a6eb32fd91bbfba32c2c55e683bb48ae2">periodicity</a></td></tr>
<tr class="memdesc:a6eb32fd91bbfba32c2c55e683bb48ae2"><td class="mdescLeft">&#160;</td><td class="mdescRight">1 LSB = 1 ms Periodicity at which tests need to be run <br /></td></tr>
<tr class="separator:a6eb32fd91bbfba32c2c55e683bb48ae2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dbf7686039b1a92543844cd164703ba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3dbf7686039b1a92543844cd164703ba"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrlperiodic_test__t.html#a3dbf7686039b1a92543844cd164703ba">testEn</a></td></tr>
<tr class="memdesc:a3dbf7686039b1a92543844cd164703ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bit value definition: 1 - Enable, 0 - Disable <br />
 Bit Monitoring type <br />
 0 PERIODIC_CONFG_REGISTER_READ_EN <br />
 1 ESM_MONITORING_EN <br />
 31:2 RESERVED <br />
. <br /></td></tr>
<tr class="separator:a3dbf7686039b1a92543844cd164703ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad65f0a65f27d5f0e2e27db7ffb2a0e9c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad65f0a65f27d5f0e2e27db7ffb2a0e9c"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrlperiodic_test__t.html#ad65f0a65f27d5f0e2e27db7ffb2a0e9c">repMode</a></td></tr>
<tr class="memdesc:ad65f0a65f27d5f0e2e27db7ffb2a0e9c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value Definition <br />
 0 Report is send only upon a failure <br />
 1 Report is sent post test completion <br />
. <br /></td></tr>
<tr class="separator:ad65f0a65f27d5f0e2e27db7ffb2a0e9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71330959d79f92c2933a835e0b81e80f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a71330959d79f92c2933a835e0b81e80f"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrlperiodic_test__t.html#a71330959d79f92c2933a835e0b81e80f">reserved0</a></td></tr>
<tr class="memdesc:a71330959d79f92c2933a835e0b81e80f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a71330959d79f92c2933a835e0b81e80f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5012b50d7c00158677e242062d5f4e2a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5012b50d7c00158677e242062d5f4e2a"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrlperiodic_test__t.html#a5012b50d7c00158677e242062d5f4e2a">reserved1</a></td></tr>
<tr class="memdesc:a5012b50d7c00158677e242062d5f4e2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a5012b50d7c00158677e242062d5f4e2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>mmwave radar periodicity test config </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_device.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
